<?php
/**
 * @file    common_vars.php
 * @author  Bob Hutchinson
 * @package Getlocations_Lite
 */

$controlpositions = array(
  'topleft'     => __('Top Left', 'getlocations-lite'),
  'topright'    => __('Top Right', 'getlocations-lite'),
  'bottomright' => __('Bottom Right', 'getlocations-lite'),
  'bottomleft'  => __('Bottom Left', 'getlocations-lite')
);

$controlshowstate = array(
  'none'   => __('No control', 'getlocations-lite'),
  'layer'  => __('In layer control', 'getlocations-lite'),
  'button' => __('Button on map', 'getlocations-lite'),
  'both'   => __('Both', 'getlocations-lite'),
);

$default_leaflet_plugin_data = array(
  'markercluster'   => array('status' => 0, 'label'  => __('Enable Markercluster plugin','getlocations-lite')),
  'fullscreen'      => array('status' => 0, 'label'  => __('Enable Fullscreen plugin','getlocations-lite')),
  'graticule'       => array('status' => 0, 'label'  => __('Enable Graticule plugin','getlocations-lite')),
  'pancontrol'      => array('status' => 0, 'label'  => __('Enable Pancontrol plugin','getlocations-lite')),
  'zoomslider'      => array('status' => 0, 'label'  => __('Enable Zoomslider plugin','getlocations-lite')),
  'awesome'         => array('status' => 0, 'label'  => __('Enable Awesome markers plugin','getlocations-lite')),
  'mouseposition'   => array('status' => 0, 'label'  => __('Enable Mouseposition plugin','getlocations-lite')),
  'minimap'         => array('status' => 0, 'label'  => __('Enable Minimap plugin','getlocations-lite')),
  'geocoder'        => array('status' => 0, 'label'  => __('Enable Geocoder plugin','getlocations-lite')),
  'magnifyingglass' => array('status' => 0, 'label'  => __('Enable Magnifying Glass plugin','getlocations-lite')),
  'terminator'      => array('status' => 0, 'label'  => __('Enable Day/Night plugin','getlocations-lite')),
  'kml'             => array('status' => 0, 'label'  => __('Enable KML plugin','getlocations-lite')),
);

// per plugin settings defaults
$default_leaflet_plugin_settings = array(
  'fullscreen' => array(
    'position' => 'topleft',
    'forceseparatebutton' => 0,
    'label'    => __('Fullscreen', 'getlocations-lite'),
    'cancel_label'    => __('Close Fullscreen', 'getlocations-lite'),
    'enable' => 0
  ),
  'mouseposition' => array(
    'position' => 'bottomleft',
    'display_dms' => 0,
    'emptystring' => __('Unavailable', 'getlocations-lite'),
    'separator' => ' : ',
    'lngfirst' => 0,
    'numdigits' => 5,
    'prefix' => '',
    'enable' => 0
  ),
  'pancontrol' => array(
    'position' => 'topright',
    'enable' => 0
  ),
  'zoomslider' => array(
    'position' => 'topright',
    'enable' => 0
  ),
  'magnifyingglass' => array(
    'position' => 'topright',
    'radius'   => 100,
    'offset'   => 3,
    'label'    => __('Magnifier', 'getlocations-lite'),
    'forceseparatebutton' => 0,
    'enable' => 0
  ),
  'minimap' => array(
    'position' => 'topright',
    'enable' => 0
  ),
  'graticule' => array(
    'position' => 'topleft',
    'line_color' => '#000000',
    'line_opacity' => 0.3,
    'line_thickness' => 1,
    'initial_state' => 0,
    'label' => __('Toggle Graticule', 'getlocations-lite'),
    'linelabel' => 0,
    'font' => '12px Verdana',
    'font_color' => '#000000',
    'show' => 'button',
    'forceseparatebutton' => 0,
    'enable' => 0
  ),
  'markercluster' => array(
    'enable' => 0
  ),
  'terminator' => array(
    'position' => 'topleft',
    'line_color' => '#000000',
    'line_opacity' => 0.5,
    'line_thickness' => 1,
    'fill_color' => '#000000',
    'fill_opacity' => 0.5,
    'initial_state' => 0,
    'label' => __('Day/Night', 'getlocations-lite'),
    'show' => 'button',
    'forceseparatebutton' => 0,
    'enable' => 0
  ),
  // geocoder
  'geocoder' => array(
    'position' => 'topright',
    'placeholder' => __('Search..', 'getlocations-lite'),
    'label' => __('Search', 'getlocations-lite'),
    'click' => 0,
    'country' => '',
    'service' => 'nominatim',
    'enable' => 0
  ),
  // KML
  'kml' => array(
    'position' => 'topright',
    'url' => '',
    'filename' => '',
    'viewport' => 0,
    'enable_button' => 0,
    'label' => __('Kml Layer', 'getlocations-lite'),
    'initial_state'  => 0,
    'forceseparatebutton' => 0,
    'enable' => 0
  ),
  // awesome
  'awesome' => array(
    'enable' => 1
  ),

);

$default_leaflet_plugin_keys = array(
  'fullscreen' => array(
    'fullscreen_enable' => 'enable',
    'fullscreen_position' => 'position',
    'fullscreen_label' => 'label',
    'fullscreen_cancel_label' => 'cancel_label',
    'fullscreen_forceseparatebutton' => 'forceseparatebutton',
  ),
  'mouseposition' => array(
    'mouseposition_enable' => 'enable',
    'mouseposition_position' => 'position',
    'mouseposition_display_dms' => 'display_dms',
    'mouseposition_emptystring' => 'emptystring',
    'mouseposition_separator' => 'separator',
    'mouseposition_lngfirst' => 'lngfirst',
    'mouseposition_numdigits' => 'numdigits',
    'mouseposition_prefix' => 'prefix',
  ),
  'pancontrol' => array(
    'pancontrol_enable' => 'enable',
    'pancontrol_position' => 'position',
  ),
  'zoomslider' => array(
    'zoomslider_enable' => 'enable',
    'zoomslider_position' => 'position',
  ),
  'magnifyingglass' => array(
    'magnifyingglass_enable' => 'enable',
    'magnifyingglass_position' => 'position',
    'magnifyingglass_label'    => 'label',
    'magnifyingglass_forceseparatebutton' => 'forceseparatebutton',
  ),
  'minimap' => array(
    'minimap_enable' => 'enable',
  ),
  'markercluster' => array(
    'markercluster_enable' => 'enable',
  ),
  'terminator' => array(
    'terminator_enable' => 'enable',
    'terminator_position' => 'position',
    'terminator_fill_color' => 'fill_color',
    'terminator_fill_opacity' => 'fill_opacity',
    'terminator_initial_state' => 'initial_state',
    'terminator_label' => 'label',
    'terminator_line_color' => 'line_color',
    'terminator_line_opacity' => 'line_opacity',
    'terminator_line_thickness' => 'line_thickness',
    'terminator_show' => 'show',
    'terminator_forceseparatebutton' => 'forceseparatebutton',
  ),
  'graticule' => array(
    'graticule_enable' => 'enable',
    'graticule_position' => 'position',
    'graticule_font' => 'font',
    'graticule_font_color' => 'font_color',
    'graticule_initial_state' => 'initial_state',
    'graticule_label' => 'label',
    'graticule_line_color' => 'line_color',
    'graticule_line_opacity' => 'line_opacity',
    'graticule_line_thickness' => 'line_thickness',
    'graticule_linelabel' => 'linelabel',
    'graticule_forceseparatebutton' => 'forceseparatebutton',
    'graticule_show' => 'show',
  ),
  'geocoder' => array(
    'geocoder_enable' => 'enable',
    'geocoder_position' => 'position',
    'geocoder_click' => 'click',
    'geocoder_country' => 'country',
    'geocoder_label' => 'label',
    'geocoder_placeholder' => 'placeholder',
    'geocoder_service' => 'service',
  ),
  'kml' => array(
    'kml_position' => 'position',
    'kml_url' => 'url',
    'kml_filename' => 'filename',
    'kml_enable_button' => 'enable_button',
    'kml_label' => 'label',
    'kml_viewport' => 'viewport',
    'kml_initial_state'  => 'initial_state',
    'kml_forceseparatebutton' => 'forceseparatebutton',
    'kml_enable' => 'enable'
  ),
  'awesome' => array(
    'awesome_enable' => 'enable',
  ),
);

$zoomlevels = array(
  '0' => '0',
  '1' => '1',
  '2' => '2',
  '3' => '3',
  '4' => '4',
  '5' => '5',
  '6' => '6',
  '7' => '7',
  '8' => '8',
  '9' => '9',
  '10' => '10',
  '11' => '11',
  '12' => '12',
  '13' => '13',
  '14' => '14',
  '15' => '15',
  '16' => '16',
  '17' => '17',
  '18' => '18',
  '19' => '19'
);

$scaleunits = array(
  ''         => __('Both','getlocations-lite'),
  'metric'   => __('Metric','getlocations-lite'),
  'imperial' => __('Imperial','getlocations-lite')
);

          // other search engines
          // arcgis(accessToken, options)
          // bing requires key
          // google(key, options)
          // here requires app_id and app_code
          // latLng returns place from lat lng
          // mapbox(accessToken, options)
          // mapQuest(key, options)
          // neutrino userid and apikey neutrino(accessToken)
          // nominatim(options) default
          // openLocationCode(options) ?
          // opencage(apiKey) ?
          //pelias(apiKey, options)
          // photon(options) WORKS, no country limiter AFAICT
          // gopts.geocoder = L.Control.Geocoder.photon();
          // what3words(accessToken)

$default_geocoder_services = array(
  'arcgis' => array(
    'label' => __('ArcGis', 'getlocations-lite'),
    'key' => TRUE,
    'countrycodes' => TRUE,
    'reverse' => TRUE,
    'enable' => 0
  ),
  'bing' => array(
    'label' => __('Bing', 'getlocations-lite'),
    'key' => TRUE,
    'countrycodes' => FALSE,
    'reverse' => TRUE,
    'enable' => 0
  ),
  'google' => array(
    'label' => __('Google', 'getlocations-lite'),
    'key' => TRUE,
    'countrycodes' => FALSE,
    'reverse' => TRUE,
    'enable' => 0
  ),
  'here' => array(
    'label' => __('Here', 'getlocations-lite'),
    'key' => TRUE,
    'countrycodes' => FALSE,
    'reverse' => TRUE,
    'enable' => 0
  ),
  'latlng' => array(
    'label' => __('Latlng', 'getlocations-lite'),
    'key' => FALSE,
    'countrycodes' => FALSE,
    'reverse' => TRUE,
    'enable' => 0
  ),
  'mapbox'  => array(
    'label' => __('Mapbox', 'getlocations-lite'),
    'key' => TRUE,
    'countrycodes' => TRUE,
    'reverse' => TRUE,
    'enable' => 0
  ),
  'mapquest' => array(
    'label' => __('MapQuest', 'getlocations-lite'),
    'key' => TRUE,
    'countrycodes' => FALSE,
    'reverse' => TRUE,
    'enable' => 0
  ),
  'neutrino' => array(
    'label' => __('Neutrino', 'getlocations-lite'),
    'key' => TRUE,
    'countrycodes' => TRUE,
    'reverse' => TRUE,
    'enable' => 0
  ),
  'nominatim' => array(
    'label' => __('Nominatim', 'getlocations-lite'),
    'key' => FALSE,
    'countrycodes' => TRUE,
    'reverse' => TRUE,
    'enable' => 1
  ),
  'openlocationcode' => array(
    'label' => __('OpenLocationCode', 'getlocations-lite'),
    'key' => TRUE,
    'countrycodes' => FALSE,
    'reverse' => TRUE,
    'enable' => 0
  ),
  'opencage' => array(
    'label' => __('OpenCage', 'getlocations-lite'),
    'key' => TRUE,
    'countrycodes' => TRUE,
    'reverse' => TRUE,
    'enable' => 0
  ),
  'pelias'  => array(
    'label' => __('Pelias', 'getlocations-lite'),
    'key' => TRUE,
    'countrycodes' => FALSE,
    'reverse' => TRUE,
    'enable' => 0
  ),
  'photon' => array(
    'label' => __('Photon', 'getlocations-lite'),
    'key' => FALSE,
    'countrycodes' => FALSE,
    'reverse' => TRUE,
    'enable' => 0
  ),
  'what3words' => array(
    'label' => __('what3words', 'getlocations-lite'),
    'key' => TRUE,
    'countrycodes' => FALSE,
    'reverse' => TRUE,
    'enable' => 0
  )
);

$awesome_marker_colors = array(
  'blue'       => __('Blue', 'getlocations-lite'),
  'darkblue'   => __('Dark Blue', 'getlocations-lite'),
  'lightblue'  => __('Light Blue', 'getlocations-lite'),
  'red'        => __('Red', 'getlocations-lite'),
  'darkred'    => __('Dark red', 'getlocations-lite'),
  'lightred'   => __('Light red', 'getlocations-lite'),
  'orange'     => __('Orange', 'getlocations-lite'),
  'beige'      => __('Beige', 'getlocations-lite'),
  'green'      => __('Green', 'getlocations-lite'),
  'darkgreen'  => __('Dark green', 'getlocations-lite'),
  'lightgreen' => __('Light green', 'getlocations-lite'),
  'purple'     => __('Purple', 'getlocations-lite'),
  'darkpurple' => __('Dark purple', 'getlocations-lite'),
  'pink'       => __('Pink', 'getlocations-lite'),
  'salmon'     => __('Salmon', 'getlocations-lite'),
  'cadetblue'  => __('Cadet blue', 'getlocations-lite'),
  'white'      => __('White', 'getlocations-lite'),
  'gray'       => __('Gray', 'getlocations-lite'),
  'lightgray'  => __('Light gray', 'getlocations-lite'),
  'black'      => __('Black', 'getlocations-lite')
);

$awesome_icon_colors = array(
  'white'      => __('White', 'getlocations-lite'),
  'red'        => __('Red', 'getlocations-lite'),
  'darkred'    => __('Dark red', 'getlocations-lite'),
  'lightred'   => __('Light red', 'getlocations-lite'),
  'orange'     => __('Orange', 'getlocations-lite'),
  'beige'      => __('Beige', 'getlocations-lite'),
  'green'      => __('Green', 'getlocations-lite'),
  'darkgreen'  => __('Dark green', 'getlocations-lite'),
  'lightgreen' => __('Light green', 'getlocations-lite'),
  'blue'       => __('Blue', 'getlocations-lite'),
  'darkblue'   => __('Dark Blue', 'getlocations-lite'),
  'lightblue'  => __('Light Blue', 'getlocations-lite'),
  'purple'     => __('Purple', 'getlocations-lite'),
  'darkpurple' => __('Dark purple', 'getlocations-lite'),
  'pink'       => __('Pink', 'getlocations-lite'),
  'salmon'     => __('Salmon', 'getlocations-lite'),
  'cadetblue'  => __('Cadet blue', 'getlocations-lite'),
  'gray'       => __('Gray', 'getlocations-lite'),
  'lightgray'  => __('Light gray', 'getlocations-lite'),
  'black'      => __('Black', 'getlocations-lite')
);

$htmlcolors = array(
  "IndianRed" => __("Indian Red", 'getlocations-lite'),
  "LightCoral" => __("Light Coral", 'getlocations-lite'),
  "Salmon" => __("Salmon", 'getlocations-lite'),
  "DarkSalmon" => __("Dark Salmon", 'getlocations-lite'),
  "LightSalmon" => __("Light Salmon", 'getlocations-lite'),
  "Crimson" => __("Crimson", 'getlocations-lite'),
  "Red" => __("Red", 'getlocations-lite'),
  "FireBrick" => __("Fire Brick", 'getlocations-lite'),
  "DarkRed" => __("Dark Red", 'getlocations-lite'),
  "Pink" => __("Pink", 'getlocations-lite'),
  "LightPink" => __("Light Pink", 'getlocations-lite'),
  "HotPink" => __("Hot Pink", 'getlocations-lite'),
  "DeepPink" => __("Deep Pink", 'getlocations-lite'),
  "MediumVioletRed" => __("Medium Violet Red", 'getlocations-lite'),
  "PaleVioletRed" => __("Pale Violet Red", 'getlocations-lite'),
  "LightSalmon" => __("Light Salmon", 'getlocations-lite'),
  "Coral" => __("Coral", 'getlocations-lite'),
  "Tomato" => __("Tomato", 'getlocations-lite'),
  "OrangeRed" => __("Orange Red", 'getlocations-lite'),
  "DarkOrange" => __("Dark Orange", 'getlocations-lite'),
  "Orange" => __("Orange", 'getlocations-lite'),
  "Gold" => __("Gold", 'getlocations-lite'),
  "Yellow" => __("Yellow", 'getlocations-lite'),
  "LightYellow" => __("Light Yellow", 'getlocations-lite'),
  "LemonChiffon" => __("Lemon Chiffon", 'getlocations-lite'),
  "LightGoldenrodYellow" => __("Light Goldenrod Yellow", 'getlocations-lite'),
  "PapayaWhip" => __("Papaya Whip", 'getlocations-lite'),
  "Moccasin" => __("Moccasin", 'getlocations-lite'),
  "PeachPuff" => __("Peach Puff", 'getlocations-lite'),
  "PaleGoldenrod" => __("Pale Golden rod", 'getlocations-lite'),
  "Khaki" => __("Khaki", 'getlocations-lite'),
  "DarkKhaki" => __("Dark Khaki", 'getlocations-lite'),
  "Lavender" => __("Lavender", 'getlocations-lite'),
  "Thistle" => __("Thistle", 'getlocations-lite'),
  "Plum" => __("Plum", 'getlocations-lite'),
  "Violet" => __("Violet", 'getlocations-lite'),
  "Orchid" => __("Orchid", 'getlocations-lite'),
  "Fuchsia" => __("Fuchsia", 'getlocations-lite'),
  "Magenta" => __("Magenta", 'getlocations-lite'),
  "MediumOrchid" => __("Medium Orchid", 'getlocations-lite'),
  "MediumPurple" => __("Medium Purple", 'getlocations-lite'),
  "RebeccaPurple" => __("Rebecca Purple", 'getlocations-lite'),
  "BlueViolet" => __("Blue Violet", 'getlocations-lite'),
  "DarkViolet" => __("Dark Violet", 'getlocations-lite'),
  "DarkOrchid" => __("Dark Orchid", 'getlocations-lite'),
  "DarkMagenta" => __("Dark Magenta", 'getlocations-lite'),
  "Purple" => __("Purple", 'getlocations-lite'),
  "Indigo" => __("Indigo", 'getlocations-lite'),
  "SlateBlue" => __("Slate Blue", 'getlocations-lite'),
  "DarkSlateBlue" => __("Dark Slate Blue", 'getlocations-lite'),
  "MediumSlateBlue" => __("Medium Slate Blue", 'getlocations-lite'),
  "GreenYellow" => __("Green Yellow", 'getlocations-lite'),
  "Chartreuse" => __("Chartreuse", 'getlocations-lite'),
  "LawnGreen" => __("Lawn Green", 'getlocations-lite'),
  "Lime" => __("Lime", 'getlocations-lite'),
  "LimeGreen" => __("Lime Green", 'getlocations-lite'),
  "PaleGreen" => __("Pale Green", 'getlocations-lite'),
  "LightGreen" => __("Light Green", 'getlocations-lite'),
  "MediumSpringGreen" => __("Medium Spring Green", 'getlocations-lite'),
  "SpringGreen" => __("SpringGreen", 'getlocations-lite'),
  "MediumSeaGreen" => __("Medium Sea Green", 'getlocations-lite'),
  "SeaGreen" => __("SeaGreen", 'getlocations-lite'),
  "ForestGreen" => __("Forest Green", 'getlocations-lite'),
  "Green" => __("Green", 'getlocations-lite'),
  "DarkGreen" => __("Dark Green", 'getlocations-lite'),
  "YellowGreen" => __("Yellow Green", 'getlocations-lite'),
  "OliveDrab" => __("Olive Drab", 'getlocations-lite'),
  "Olive" => __("Olive", 'getlocations-lite'),
  "DarkOliveGreen" => __("Dark Olive Green", 'getlocations-lite'),
  "MediumAquamarine" => __("Medium Aquamarine", 'getlocations-lite'),
  "DarkSeaGreen" => __("Dark Sea Green", 'getlocations-lite'),
  "LightSeaGreen" => __("Light Sea Green", 'getlocations-lite'),
  "DarkCyan" => __("Dark Cyan", 'getlocations-lite'),
  "Teal" => __("Teal", 'getlocations-lite'),
  "Aqua" => __("Aqua", 'getlocations-lite'),
  "Cyan" => __("Cyan", 'getlocations-lite'),
  "LightCyan" => __("Light Cyan", 'getlocations-lite'),
  "PaleTurquoise" => __("Pale Turquoise", 'getlocations-lite'),
  "Aquamarine" => __("Aquamarine", 'getlocations-lite'),
  "Turquoise" => __("Turquoise", 'getlocations-lite'),
  "MediumTurquoise" => __("Medium Turquoise", 'getlocations-lite'),
  "DarkTurquoise" => __("Dark Turquoise", 'getlocations-lite'),
  "CadetBlue" => __("Cadet Blue", 'getlocations-lite'),
  "SteelBlue" => __("Steel Blue", 'getlocations-lite'),
  "LightSteelBlue" => __("Light Steel Blue", 'getlocations-lite'),
  "PowderBlue" => __("Powder Blue", 'getlocations-lite'),
  "LightBlue" => __("Light Blue", 'getlocations-lite'),
  "SkyBlue" => __("Sky Blue", 'getlocations-lite'),
  "LightSkyBlue" => __("Light Sky Blue", 'getlocations-lite'),
  "DeepSkyBlue" => __("Deep Sky Blue", 'getlocations-lite'),
  "DodgerBlue" => __("Dodger Blue", 'getlocations-lite'),
  "CornflowerBlue" => __("Cornflower Blue", 'getlocations-lite'),
  "MediumSlateBlue" => __("Medium Slate Blue", 'getlocations-lite'),
  "RoyalBlue" => __("Royal Blue", 'getlocations-lite'),
  "Blue" => __("Blue", 'getlocations-lite'),
  "MediumBlue" => __("Medium Blue", 'getlocations-lite'),
  "DarkBlue" => __("Dark Blue", 'getlocations-lite'),
  "Navy" => __("Navy", 'getlocations-lite'),
  "MidnightBlue" => __("Midnight Blue", 'getlocations-lite'),
  "Cornsilk" => __("Cornsilk", 'getlocations-lite'),
  "BlanchedAlmond" => __("Blanched Almond", 'getlocations-lite'),
  "Bisque" => __("Bisque", 'getlocations-lite'),
  "NavajoWhite" => __("Navajo White", 'getlocations-lite'),
  "Wheat" => __("Wheat", 'getlocations-lite'),
  "BurlyWood" => __("Burly Wood", 'getlocations-lite'),
  "Tan" => __("Tan", 'getlocations-lite'),
  "RosyBrown" => __("Rosy Brown", 'getlocations-lite'),
  "SandyBrown" => __("Sandy Brown", 'getlocations-lite'),
  "Goldenrod" => __("Goldenrod", 'getlocations-lite'),
  "DarkGoldenrod" => __("Dark Goldenrod", 'getlocations-lite'),
  "Peru" => __("Peru", 'getlocations-lite'),
  "Chocolate" => __("Chocolate", 'getlocations-lite'),
  "SaddleBrown" => __("Saddle Brown", 'getlocations-lite'),
  "Sienna" => __("Sienna", 'getlocations-lite'),
  "Brown" => __("Brown", 'getlocations-lite'),
  "Maroon" => __("Maroon", 'getlocations-lite'),
  "White" => __("White", 'getlocations-lite'),
  "Snow" => __("Snow", 'getlocations-lite'),
  "HoneyDew" => __("Honey Dew", 'getlocations-lite'),
  "MintCream" => __("Mint Cream", 'getlocations-lite'),
  "Azure" => __("Azure", 'getlocations-lite'),
  "AliceBlue" => __("Alice Blue", 'getlocations-lite'),
  "GhostWhite" => __("Ghost White", 'getlocations-lite'),
  "WhiteSmoke" => __("White Smoke", 'getlocations-lite'),
  "SeaShell" => __("Sea Shell", 'getlocations-lite'),
  "Beige" => __("Beige", 'getlocations-lite'),
  "OldLace" => __("Old Lace", 'getlocations-lite'),
  "FloralWhite" => __("Floral White", 'getlocations-lite'),
  "Ivory" => __("Ivory", 'getlocations-lite'),
  "AntiqueWhite" => __("Antique White", 'getlocations-lite'),
  "Linen" => __("Linen", 'getlocations-lite'),
  "LavenderBlush" => __("Lavender Blush", 'getlocations-lite'),
  "MistyRose" => __("Misty Rose", 'getlocations-lite'),
  "Gainsboro" => __("Gainsboro", 'getlocations-lite'),
  "LightGray" => __("Light Gray", 'getlocations-lite'),
  "Silver" => __("Silver", 'getlocations-lite'),
  "DarkGray" => __("Dark Gray", 'getlocations-lite'),
  "Gray" => __("Gray", 'getlocations-lite'),
  "DimGray" => __("Dim Gray", 'getlocations-lite'),
  "LightSlateGray" => __("Light Slate Gray", 'getlocations-lite'),
  "SlateGray" => __("Slate Gray", 'getlocations-lite'),
  "DarkSlateGray" => __("Dark Slate Gray", 'getlocations-lite'),
  "Black" => __("Black", 'getlocations-lite')
);

$awesome_effects = array(
  ''                   => __('Normal', 'getlocations-lite'),
  'fa-flip-horizontal' => __('Flip Horizontal', 'getlocations-lite'),
  'fa-flip-vertical'   => __('Flip Vertical', 'getlocations-lite'),
  'fa-rotate-90'       => __('Rotate 90 degrees', 'getlocations-lite'),
  'fa-rotate-180'      => __('Rotate 180 degrees', 'getlocations-lite'),
  'fa-rotate-270'      => __('Rotate 270 degrees', 'getlocations-lite'),
  'fa-spin'            => __('Spin', 'getlocations-lite'),
  'fa-pulse'           => __('Pulse', 'getlocations-lite')
);

$awesome_sizes = array(
  ''       => __('Default', 'getlocations-lite'),
  'fa-xs'  => __('Extra small', 'getlocations-lite'),
  'fa-sm'  => __('Small', 'getlocations-lite'),
  'fa-lg'  => __('Large', 'getlocations-lite'),
  'fa-2x'  => __('2x large', 'getlocations-lite'),
  'fa-3x'  => __('3x large', 'getlocations-lite'),
  'fa-4x'  => __('4x large', 'getlocations-lite'),
  'fa-5x'  => __('5x large', 'getlocations-lite'),
  'fa-6x'  => __('6x large', 'getlocations-lite'),
  'fa-7x'  => __('7x large', 'getlocations-lite'),
  'fa-8x'  => __('8x large', 'getlocations-lite'),
  'fa-9x'  => __('9x large', 'getlocations-lite'),
  'fa-10x' => __('10x large', 'getlocations-lite')
);

$default_settings = array(
  'map_provider'       => 'OpenStreetMap.Mapnik',
  'width'              => '500px',
  'height'             => '500px',
  'mapcenter'          => '50.845261,8.367581',
  'zoom'               => '4',
  'minzoom'            => '1',
  'maxzoom'            => '19',
  'zoomcontrol'        => 1,
  'zoomcontrol_position' => 'topleft',
  'scrollwheelzoom'    => 1,
  'dragging'           => 1,
  'doubleclickzoom'    => 1,
  'boxzoom'            => 1,
  'fitbounds'          => 0,
  'attributioncontrol' => 1,
  'scale'              => 0,
  'scaleunit'          => '',
  'scale_position'     => 'bottomleft',
  'keyboard'           => 1,
  'layerscontrol'      => 0,
  'layerscontrol_position' => 'topright',
  'minimap'            => 0,
);

$default_settings_mapped = array(
  'map_name'              => 'map_name',
  'map_id'                => 'map_id',
  'map_provider'          => 'map_provider',
  'width'                 => 'width',
  'height'                => 'height',
  'mapcenter'             => 'mapcenter',
  'zoom'                  => 'zoom',
  'minzoom'               => 'minZoom',
  'maxzoom'               => 'maxZoom',
  'zoomcontrol'           => 'zoomControl',
  'zoomcontrol_position'  => 'zoomcontrol_position',
  'scrollwheelzoom'       => 'scrollWheelZoom',
  'dragging'              => 'dragging',
  'doubleclickzoom'       => 'doubleClickZoom',
  'boxzoom'               => 'boxZoom',
  'fitbounds'             => 'fitBounds',
  'attributioncontrol'    => 'attributionControl',
  'scale'                 => 'scale',
  'scaleunit'             => 'scaleunit',
  'scale_position'        => 'scale_position',
  'keyboard'              => 'keyboard',
  'layerscontrol'         => 'layersControl',
  'layerscontrol_position'=> 'layerscontrol_position',
  'minimap'               => 'minimap'
);

// also required :)
$allowed_fields = array(
  'width',
  'height',
  'mapcenter',
  'zoom',
  'minzoom',
  'maxzoom',
  'zoomcontrol',
  'zoomcontrol_position',
  'scrollwheelzoom',
  'dragging',
  'doubleclickzoom',
  'boxzoom',
  'fitbounds',
  'attributioncontrol',
  'layerscontrol',
  'layerscontrol_position',
  'minimap',
  'keyboard',
  'scale',
  'scaleunit',
  'scale_position',
  'map_name',
  'map_provider',
);

$checkbox_fields = array(
  'zoomcontrol',
  'scrollwheelzoom',
  'dragging',
  'doubleclickzoom',
  'boxzoom',
  'fitbounds',
  'attributioncontrol',
  'keyboard',
  'scale',
  'layerscontrol',
  'minimap',
);

$default_providers = array(
  'OpenStreetMap.Mapnik' => '1'
);

$default_marker = 'colors gray';

// these are set to TRUE/FALSE for js
$bool = array(
  "zoomControl",
  "scrollWheelZoom",
  "dragging",
  "doubleClickZoom",
  "boxZoom",
  "fitBounds",
  "attributionControl",
  "keyboard",
  "scale",
  "layersControl",
  'minimap',
  'forceSeparateButton',
);

$plugins_bool = array(
  'fullscreen'      => array( 'enable', 'forceseparatebutton' ),
  'mouseposition'   => array( 'enable', 'display_dms', 'lngfirst' ),
  'pancontrol'      => array( 'enable' ),
  'zoomslider'      => array( 'enable' ),
  'magnifyingglass' => array( 'enable', 'forceseparatebutton' ),
  'minimap'         => array( 'enable' ),
  'markercluster'   => array( 'enable' ),
  'terminator'      => array( 'enable', 'initial_state', 'forceseparatebutton' ),
  'graticule'       => array( 'enable', 'initial_state', 'linelabel', 'forceseparatebutton' ),
  'geocoder'        => array( 'enable' ),
  'kml'             => array( 'enable', 'initial_state', 'enable_button', 'viewport', 'forceseparatebutton' ),
  'awesome'         => array( 'enable' ),
);

$marker_types = array(
  'ticon' => __('Getlocations markers', 'getlocations-lite'),
  'licon' => __('Leaflet markers', 'getlocations-lite'),
  'vicon' => __('Icons in Leaflet markers', 'getlocations-lite'),
  'dicon' => __('Icons only', 'getlocations-lite'),
#  '' => __(''),
);

$markerform_headings = array(
  'markerno'       => __('Marker No.', 'getlocations-lite'),
  'markertype'     => __('Marker type', 'getlocations-lite'),
  'markercolor'    => __('Marker color', 'getlocations-lite'),
  'iconcolor'      => __('Icon color', 'getlocations-lite'),
  'iconsize'       => __('Icon size', 'getlocations-lite'),
  'iconeffect'     => __('Icon effect', 'getlocations-lite'),
  'icontype'       => __('Icon type', 'getlocations-lite'),
  'selectmarker'   => __('Select a marker', 'getlocations-lite'),
  'markerposition' => __('Marker Position', 'getlocations-lite'),
  'markertooltip'  => __('Marker Tooltip', 'getlocations-lite'),
  'markerpopup'    => __('Marker Popup', 'getlocations-lite'),
  'makemarker'     => __('Make marker', 'getlocations-lite'),
  'fixmarker'      => __('Fix marker', 'getlocations-lite'),
  'movemarker'     => __('Move marker', 'getlocations-lite'),
  'deletemarker'   => __('Delete marker', 'getlocations-lite'),
  'iconcateg'      => __('Icon Category', 'getlocations-lite'),
  'dashicons'      => __('Dashicons', 'getlocations-lite'),
  'ionicons'       => __('Ionicons', 'getlocations-lite'),
);

$icon_types = array(
  'awesome' => __('Fontawesome', 'getlocations-lite'),
#  'glyphicon' => __('Glyphicon', 'getlocations-lite'),
  'dashicon'  => __('Dashicon', 'getlocations-lite'),
  'ionicon' => __('Ionicon', 'getlocations-lite')
);
