<?php
/**
 * @file    leaflet_map_keys_section.php
 * @author  Bob Hutchinson
 * @package Getlocations_Lite
 * @since   1.0.0
 */
  add_settings_section(
    $whichsection,                               // ID used to identify this section and with which to register options
    __( 'Leaflet Map Keys', 'getlocations-lite' ), // Title to be displayed on the administration page
    array( $this, 'leaflet_map_keys_callback'),  // Callback used to render the description of the section
    $whichpage                                   // Page on which to add this section of options
  );
  add_settings_field(
    'Thunderforest',                                          // ID used to identify the field throughout the theme
    __( 'Thunderforest maps API key', 'getlocations-lite' ),  // The label to the left of the option interface element
    array( $this, 'text_element_callback'),                   // The name of the function responsible for rendering the option interface
    $whichpage,                                               // The page on which this option will be displayed
    $whichsection,                                            // The name of the section to which this field belongs
    array(                                                    // The array of arguments to pass to the callback.
      'id'=>'Thunderforest',
      'widthclass' => 'regular-text',
      'desc' => __('Get your key <a href="https://www.thunderforest.com/docs/apikeys/" target="_blank" ><b>here</b></a>.', 'getlocations-lite' ),
      'opt' => $saveto
    )
  );
