<?php
/**
 * @file    leaflet_plugins_section.php
 * @author  Bob Hutchinson
 * @package Getlocations_Lite
 * @since   1.0.0
 */
  add_settings_section(
    $whichsection,                               // ID used to identify this section and with which to register options
    __( 'Leaflet Plugins', 'getlocations-lite' ),  // Title to be displayed on the administration page
    array( $this, 'leaflet_plugins_callback'),   // Callback used to render the description of the section
    $whichpage                                   // Page on which to add this section of options
  );

  // get plugins data to determine if font-awesome plugin has been installed
  include_once(GETLOCATIONS_LITE_PLUGIN_DIR . 'includes/class-getlocations-lite-share.php');
  $share = new Getlocations_Lite_Share();
  $foundawesome = $share->check_fontawesome_install();
  foreach ( $this->default_leaflet_plugin_data AS $k => $v ) {
    if ( ! $foundawesome && $k == 'awesome' ) {
      $key = 'leaflet_plugin_' . $k;
      $label = $v['label'];
      add_settings_field(
        $key,                                       // ID used to identify the field throughout the theme
        $label,                                     // The label to the left of the option interface element
        array( $this, 'hidden_element_callback'), // The name of the function responsible for rendering the option interface
        $whichpage,                                 // The page on which this option will be displayed
        $whichsection,                              // The name of the section to which this field belongs
        array(                                      // The array of arguments to pass to the callback.
          'id'=> $key,
          'default_opt' => 0,
          'desc' => __('You need to install the Fontawesome plugin, see <a href="https://wordpress.org/plugins/font-awesome/">this site</a>', 'getlocations-lite'),
          'opt' => $saveto
        )
      );
    }
    else {
      $key = 'leaflet_plugin_' . $k;
      $label = $v['label'];
      add_settings_field(
        $key,                                       // ID used to identify the field throughout the theme
        $label,                                     // The label to the left of the option interface element
        array( $this, 'checkbox_element_callback'), // The name of the function responsible for rendering the option interface
        $whichpage,                                 // The page on which this option will be displayed
        $whichsection,                              // The name of the section to which this field belongs
        array(                                      // The array of arguments to pass to the callback.
          'id'=> $key,
          'opt' => $saveto
        )
      );

    }

  }
