<?php
/**
 * @file    leaf_providers_section.php
 * @author  Bob Hutchinson
 * @package Getlocations_Lite
 * @since   1.0.0
 */
  // bring in some data
  $map_key_data = get_option('getlocations_lite_map_keys');
  if ( isset($map_key_data['Thunderforest']) ) {
    $thunderforest_key = $map_key_data['Thunderforest'];
  }

  include(GETLOCATIONS_LITE_PLUGIN_DIR . 'admin/includes/providers.php');

  // list map providers as checkboxes
  add_settings_section(
    $whichsection,                                // ID used to identify this section and with which to register options
    __( 'Map Providers', 'getlocations-lite' ),   // Title to be displayed on the administration page
    array( $this, 'leaflet_providers_callback'),  // Callback used to render the description of the section
    $whichpage                                    // Page on which to add this section of options
  );

  // only show the maps that have a key or do not need one
  foreach ($default_leaflet_providers_data AS $k => $v) {
    $go = true;
    if (! empty($v['options']) ) {
      $go = false;
    }

    if ( $v['group'] == 'Thunderforest' ) {
      if (! empty($v['options']['apikey']) && $v['options']['apikey'] == $thunderforest_key ) {
        $go = true;
      }
      else{
        $go = false;
      }
    }

    if ($go) {
      $label = $v['label'];
      add_settings_field(
        $k,                                         // ID used to identify the field throughout the theme
        $label,                                     // The label to the left of the option interface element
        array( $this, 'checkbox_element_callback'), // The name of the function responsible for rendering the option interface
        $whichpage,                                 // The page on which this option will be displayed
        $whichsection,                              // The name of the section to which this field belongs
        array(                                      // The array of arguments to pass to the callback.
          'id' => $k,
          'desc' => __('Type', 'getlocations-lite') . ': ' . $v['type'],
          'opt' => $saveto
        )
      );
    }
  }
