<?php
/**
 * @file    providers.php
 * @author  Bob Hutchinson
 * @package Getlocations_Lite
 * @since   1.0.0
 */

  // OpenStreetMap Thunderforest Esri
  if (! isset($thunderforest_key) ) {
    $thunderforest_key = "";
  }
  #if (! isset($openweathermap_key) ) {
  #  $openweathermap_key = "";
  #}

  $default_leaflet_providers_data = array(
    "OpenStreetMap.Mapnik" => array(
      "label" => __("OpenStreetMap Default", "getlocations-lite"),
      "type" => "base",
      "group" => "OpenStreetMap"
    ),
    "OpenStreetMap.DE" => array(
      "label" => __("OpenStreetMap German Style", "getlocations-lite"),
      "type" => "base",
      "group" => "OpenStreetMap"
    ),
    "OpenStreetMap.France" => array(
      "label" => __("OpenStreetMap French Style", "getlocations-lite"),
      "type" => "base",
      "group" => "OpenStreetMap"
    ),
    "OpenStreetMap.HOT" => array(
      "label" => __("OpenStreetMap H.O.T", "getlocations-lite"),
      "type" => "base",
      "group" => "OpenStreetMap"
    ),
    "Thunderforest.OpenCycleMap" => array(
      "label" => __("Thunderforest OpenCycleMap", "getlocations-lite"),
      "type" => "base",
      "group" => "Thunderforest",
      "options" => array("apikey" => $thunderforest_key)
    ),
    "Thunderforest.Transport" => array(
      "label" => __("Thunderforest Transport", "getlocations-lite"),
      "type" => "base",
      "group" => "Thunderforest",
      "options" => array("apikey" => $thunderforest_key)
    ),
    "Thunderforest.TransportDark" => array(
      "label" => __("Thunderforest TransportDark", "getlocations-lite"),
      "type" => "base",
      "group" => "Thunderforest",
      "options" => array("apikey" => $thunderforest_key)
    ),
    "Thunderforest.SpinalMap" => array(
      "label" => __("Thunderforest SpinalMap", "getlocations-lite"),
      "type" => "base",
      "group" => "Thunderforest",
      "options" => array("apikey" => $thunderforest_key)
    ),
    "Thunderforest.Landscape" => array(
      "label" => __("Thunderforest Landscape", "getlocations-lite"),
      "type" => "base",
      "group" => "Thunderforest",
      "options" => array("apikey" => $thunderforest_key)
    ),
    "Thunderforest.Outdoors" => array(
      "label" => __("Thunderforest Outdoors", "getlocations-lite"),
      "type" => "base",
      "group" => "Thunderforest",
      "options" => array("apikey" => $thunderforest_key)
    ),
    "Thunderforest.Pioneer" => array(
      "label" => __("Thunderforest Pioneer", "getlocations-lite"),
      "type" => "base",
      "group" => "Thunderforest",
      "options" => array("apikey" => $thunderforest_key)
    ),
    "Esri.WorldStreetMap" => array(
      "label" => __("Esri WorldStreetMap", "getlocations-lite"),
      "type" => "base",
      "group" => "Esri"
    ),
    "Esri.DeLorme" => array(
      "label" => __("Esri DeLorme", "getlocations-lite"),
      "type" => "base",
      "group" => "Esri"
    ),
    "Esri.WorldTopoMap" => array(
      "label" => __("Esri WorldTopoMap", "getlocations-lite"),
      "type" => "base",
      "group" => "Esri"
    ),
    "Esri.WorldImagery" => array(
      "label" => __("Esri WorldImagery", "getlocations-lite"),
      "type" => "base",
      "group" => "Esri"
    ),
    "Esri.WorldTerrain" => array(
      "label" => __("Esri WorldTerrain", "getlocations-lite"),
      "type" => "base",
      "group" => "Esri"
    ),
    "Esri.WorldShadedRelief" => array(
      "label" => __("Esri WorldShadedRelief", "getlocations-lite"),
      "type" => "base",
      "group" => "Esri"
    ),
    "Esri.WorldPhysical" => array(
      "label" => __("Esri WorldPhysical", "getlocations-lite"),
      "type" => "base",
      "group" => "Esri"
    ),
    "Esri.OceanBasemap" => array(
      "label" => __("Esri OceanBasemap", "getlocations-lite"),
      "type" => "base",
      "group" => "Esri"
    ),
    "Esri.NatGeoWorldMap" => array(
      "label" => __("Esri NatGeoWorldMap", "getlocations-lite"),
      "type" => "base",
      "group" => "Esri"
    ),
    "Esri.WorldGrayCanvas" => array(
      "label" => __("Esri WorldGrayCanvas", "getlocations-lite"),
      "type" => "base",
      "group" => "Esri"
    ),
    "OpenTopoMap" => array(
      "label" => __("OpenTopoMap", "getlocations-lite"),
      "type" => "base",
      "group" => "OpenTopoMap"
    ),
    "OpenMapSurfer.Roads" => array(
      "label" => __("OpenMapSurfer Roads", "getlocations-lite"),
      "type" => "base",
      "group" => "OpenMapSurfer"
    ),
    "OpenMapSurfer.Hillshade" => array(
      "label" => __("OpenMapSurfer Hillshade", "getlocations-lite"),
      "type" => "base",
      "group" => "OpenMapSurfer"
    ),
    "CartoDB" => array(
      "label" => __("CartoDB", "getlocations-lite"),
      "type" => "base",
      "group" => "CartoDB"
    ),
    "CartoDB.DarkMatter" => array(
      "label" => __("CartoDB DarkMatter", "getlocations-lite"),
      "type" => "base",
      "group" => "CartoDB"
    ),
    "CartoDB.Voyager" => array(
      "label" => __("CartoDB Voyager", "getlocations-lite"),
      "type" => "base",
      "group" => "CartoDB"
    ),
    "HikeBike" => array(
      "label" => __("HikeBike", "getlocations-lite"),
      "type" => "base",
      "group" => "HikeBike"
    ),
#    "OpenWeatherMap.Clouds" => array(
#      "label" => __("OpenWeatherMap Clouds Overlay", "getlocations-lite"),
#      "type" => "overlay",
#      "group" => "OpenWeatherMap",
#      "options" => array("apiKey" => $openweathermap_key)
#    ),
#    "OpenWeatherMap.CloudsClassic" => array(
#      "label" => __("OpenWeatherMap Clouds Classic Overlay", "getlocations-lite"),
#      "type" => "overlay",
#      "group" => "OpenWeatherMap",
#      "options" => array("apiKey" => $openweathermap_key)
#    ),
#    "OpenWeatherMap.Precipitation" => array(
#      "label" => __("OpenWeatherMap Precipitation Overlay", "getlocations-lite"),
#      "type" => "overlay",
#      "group" => "OpenWeatherMap",
#      "options" => array("apiKey" => $openweathermap_key)
#    ),
#    "OpenWeatherMap.PrecipitationClassic" => array(
#      "label" => __("OpenWeatherMap Precipitation Classic Overlay", "getlocations-lite"),
#      "type" => "overlay",
#      "group" => "OpenWeatherMap",
#      "options" => array("apiKey" => $openweathermap_key)
#    ),
#    "OpenWeatherMap.Rain" => array(
#      "label" => __("OpenWeatherMap Rain Overlay", "getlocations-lite"),
#      "type" => "overlay",
#      "group" => "OpenWeatherMap",
#      "options" => array("apiKey" => $openweathermap_key)
#    ),
#    "OpenWeatherMap.RainClassic" => array(
#      "label" => __("OpenWeatherMap Rain Classic Overlay", "getlocations-lite"),
#      "type" => "overlay",
#      "group" => "OpenWeatherMap",
#      "options" => array("apiKey" => $openweathermap_key)
#    ),
#    "OpenWeatherMap.Pressure" => array(
#      "label" => __("OpenWeatherMap Pressure Overlay", "getlocations-lite"),
#      "type" => "overlay",
#      "group" => "OpenWeatherMap",
#      "options" => array("apiKey" => $openweathermap_key)
#    ),
#    "OpenWeatherMap.PressureContour" => array(
#      "label" => __("OpenWeatherMap PressureContour Overlay", "getlocations-lite"),
#      "type" => "overlay",
#      "group" => "OpenWeatherMap",
#      "options" => array("apiKey" => $openweathermap_key)
#    ),
#    "OpenWeatherMap.Wind" => array(
#      "label" => __("OpenWeatherMap Wind Overlay", "getlocations-lite"),
#      "type" => "overlay",
#      "group" => "OpenWeatherMap",
#      "options" => array("apiKey" => $openweathermap_key)
#    ),
#    "OpenWeatherMap.Temperature" => array(
#      "label" => __("OpenWeatherMap Temperature Overlay", "getlocations-lite"),
#      "type" => "overlay",
#      "group" => "OpenWeatherMap",
#      "options" => array("apiKey" => $openweathermap_key)
#    ),
#    "OpenWeatherMap.Snow" => array(
#      "label" => __("OpenWeatherMap Snow Overlay", "getlocations-lite"),
#      "type" => "overlay",
#      "group" => "OpenWeatherMap",
#      "options" => array("apiKey" => $openweathermap_key)
#    ),
  );
