/**
 * @file    getlocations-lite-media-modal-kml.js
 * @author  Bob Hutchinson
 * @package Getlocations_Lite
 * @since   1.0.0
 *
 */
jQuery(document).ready(function($) {

  if ( $("#kml_enable").is('input')) {
    // Uploading files
    var file_frame;
    var wp_media_post_id = wp.media.model.settings.post.id; // Store the old id
    //var set_to_post_id = <?php echo $my_saved_attachment_post_id; ?>; // Set this
    var set_to_post_id = 0;

    //jQuery('#open-kml-media-lib').on('click', function( e ){
    $('#open-kml-media-lib').on('click', function( e ){
        e.preventDefault();

      // If the media frame already exists, reopen it.
      if ( file_frame ) {
        // Set the post ID to what we want
        file_frame.uploader.uploader.param( 'post_id', set_to_post_id );
        // Open frame
        file_frame.open();
        return;
      }
      else {
        // Set the wp.media post id so the uploader grabs the ID we want when initialised
        wp.media.model.settings.post.id = set_to_post_id;
      }

      // Create the media frame.
      file_frame = wp.media.frames.file_frame = wp.media({
        title: 'Select A KML file',
        multiple: false,
        library: {
          //order: 'ASC',
          //orderby: 'title',
          //search: null,
          //uploadedTo: null
          type: 'text'
        },
        button: {
          text: 'Select',
        }
      });

      // When a file is selected, run a callback.
      file_frame.on( 'select', function() {
        // We set multiple to false so only get one file from the uploader
        attachment = file_frame.state().get( 'selection' ).single();
        // insert into the DOM
        $("#kml_url").val(attachment.get( 'url' ));
        $("#kml_filename").val(attachment.get( 'filename' ));
        $("#kml_filename_show").text(attachment.get( 'filename' ));
        // Restore the main post ID
        wp.media.model.settings.post.id = wp_media_post_id;
      });

      // Finally, open the modal
      file_frame.open();

    });
    // Restore the main ID when the add media button is pressed
    $( 'a.add_media' ).on( 'click', function() {
      wp.media.model.settings.post.id = wp_media_post_id;
    });

  }

}); // end jquery
