<?php
/**
 * @file    help.php
 * @author  Bob Hutchinson
 * @package Getlocations_Lite
 * @since   1.0.0
 */
?>
<h2><?php _e('Getlocations Lite Help', 'getlocations-lite'); ?></h2>

<div class="wrap">
  <div class="help-container">

    <div class="help-left">
      <div id="an_settings"><a href="#a_settings"><?php _e('Settings', 'getlocations-lite'); ?></a></div>
      <div id="an_providers"><a href="#a_providers"><?php _e('Providers', 'getlocations-lite'); ?></a></div>
      <div id="an_markers"><a href="#a_markers"><?php _e('Markers', 'getlocations-lite'); ?></a></div>
      <div id="an_plugins"><a href="#a_plugins"><?php _e('Plugins', 'getlocations-lite'); ?></a></div>
      <div id="an_shortcode"><a href="#a_shortcode"><?php _e('Shortcodes', 'getlocations-lite'); ?></a></div>
    </div>

    <div class="help-right">
      <div id="a_settings"><h3><?php _e('Settings', 'getlocations-lite'); ?></h3>
      <?php _e('Settings for Getlocations Lite.', 'getlocations-lite'); ?><br />
      <?php _e('On this page you can set up the default map, this will be used as the basis for any maps created using shortcodes.', 'getlocations-lite'); ?><br />
      <?php _e('You can define the default width and height of the map as well as the map center and zoom.', 'getlocations-lite'); ?><br />
      <?php _e('You can also set the settings for any Leaflet plugins you have enabled.', 'getlocations-lite'); ?><br />
      <br /><br /><br />
      </div>
      <div id="a_providers"><h3><?php _e('Providers', 'getlocations-lite'); ?></h3>
        <?php _e('Providers for Getlocations Lite.', 'getlocations-lite'); ?><br />
        <?php _e('This page is where you can enable which map providers you want to use.', 'getlocations-lite'); ?><br />
        <?php _e('If you have enabled the Geocoder Leaflet plugin you can select which Search engines to use.', 'getlocations-lite'); ?><br />
        <br /><br /><br />
      </div>
      <div id="a_markers" ><h3><?php _e('Markers', 'getlocations-lite'); ?></h3>
        <?php _e('Markers for Getlocations Lite.', 'getlocations-lite'); ?><br />
        <?php _e('This page shows the markers and types you have.', 'getlocations-lite'); ?><br />
        <?php _e('You can also reset them if any markers have been added or removed and set a default.', 'getlocations-lite'); ?><br />
        <br /><br /><br />
      </div>
      <div id="a_plugins" ><h3><?php _e('Plugins', 'getlocations-lite'); ?></h3>
        <?php _e('Plugins for Getlocations Lite.', 'getlocations-lite'); ?><br />
        <?php _e('On this page you can enable or disable Leaflet Plugins.', 'getlocations-lite'); ?><br />
        <br /><br /><br />
      </div>
      <div id="a_shortcode" ><h3><?php _e('Shortcodes', 'getlocations-lite'); ?></h3>
        <br />
        <?php _e('Shortcodes for Getlocations Lite.', 'getlocations-lite'); ?><br />
        <?php _e('Simple example: [getlocations_lite_map]', 'getlocations-lite'); ?><br />
        <?php _e('This example will use the default map. This can have a number of modifiers.', 'getlocations-lite'); ?><br />
        <?php _e('Modifiers that set the position of a control have these options: topleft, topright, bottomleft, bottomright', 'getlocations-lite'); ?><br />
        <?php _e('The width and height of a map, as a CSS length or percentage. <br>Examples: 50px, 5em, 2.5in, 95%', 'getlocations-lite'); ?><br />
        <?php _e('Switch modifiers should be set to 1 or 0', 'getlocations-lite'); ?><br />
        <b>map_provider</b>&nbsp;eg&nbsp;<i>map_provider="OpenStreetMap.Mapnik"</i><br />
        <b>width</b>&nbsp;eg&nbsp;<i>width="500px"</i><br />
        <b>height</b>&nbsp;eg&nbsp;<i>height="500px"</i><br />
        <b>mapcenter</b>&nbsp;eg&nbsp;<i>mapcenter="52,4"</i><br />
        <b>zoom</b>&nbsp;eg&nbsp;<i>zoom=15</i>&nbsp;<?php _e('This must be between 0 and 20', 'getlocations-lite'); ?><br />
        <b>minzoom</b>&nbsp;eg&nbsp;<i>minzoom=1</i>&nbsp;<?php _e('This must be between 0 and 20', 'getlocations-lite'); ?><br />
        <b>maxzoom</b>&nbsp;eg&nbsp;<i>maxzoom=19</i>&nbsp;<?php _e('This must be between 0 and 20', 'getlocations-lite'); ?><br />
        <b>zoomcontrol</b>&nbsp;eg&nbsp;<i>zoomcontrol=1</i>&nbsp;<?php _e('On/Off', 'getlocations-lite'); ?><br />
        <b>zoomcontrol_position</b>&nbsp;eg&nbsp;<i>zoomcontrol_position="topleft"</i><br />
        <b>scrollwheelzoom</b>&nbsp;eg&nbsp;<i>scrollwheelzoom=1</i>&nbsp;<?php _e('On/Off', 'getlocations-lite'); ?><br />
        <b>dragging</b>&nbsp;eg&nbsp;<i>dragging=1</i>&nbsp;<?php _e('On/Off', 'getlocations-lite'); ?><br />
        <b>doubleclickzoom</b>&nbsp;eg&nbsp;<i>doubleclickzoom=1</i>&nbsp;<?php _e('On/Off', 'getlocations-lite'); ?><br />
        <b>boxzoom</b>&nbsp;eg&nbsp;<i>boxzoom=1</i>&nbsp;<?php _e('On/Off', 'getlocations-lite'); ?><br />
        <b>fitbounds</b>&nbsp;eg&nbsp;<i>fitbounds=0</i>&nbsp;<?php _e('On/Off', 'getlocations-lite'); ?><br />
        <b>attributioncontrol</b>&nbsp;eg&nbsp;<i>attributioncontrol=1</i>&nbsp;<?php _e('On/Off', 'getlocations-lite'); ?><br />
        <b>keyboard</b>&nbsp;eg&nbsp;<i>keyboard=1</i>&nbsp;<?php _e('On/Off', 'getlocations-lite'); ?><br />
        <b>scale</b>&nbsp;eg&nbsp;<i>scale=1</i>&nbsp;<?php _e('On/Off', 'getlocations-lite'); ?><br />
        <b>scaleunit</b>&nbsp;eg&nbsp;<i>scaleunit="metric"</i>&nbsp;<?php _e('metric, imperial or both', 'getlocations-lite'); ?><br />
        <b>scale_position</b>&nbsp;eg&nbsp;<i>scale_position="bottomleft"</i><br />
        <b>layerscontrol</b>&nbsp;eg&nbsp;<i>layerscontrol=1</i>&nbsp;<?php _e('On/Off', 'getlocations-lite'); ?><br />
        <b>layerscontrol_position</b>&nbsp;eg&nbsp;<i>layerscontrol_position="topright"</i><br />
        <b>minimap</b>&nbsp;eg&nbsp;<i>minimap=1</i>&nbsp;<?php _e('On/Off', 'getlocations-lite'); ?><br />
        <?php _e('Modifier usage example:', 'getlocations-lite'); ?><br />
        <?php echo '[getlocations_lite_map width="100%" mapcenter="54,-3.5" scale=0 layerscontrol=0]'; ?><br />
        <br />
        <?php _e('Markers can be added to a map using shortcodes', 'getlocations-lite'); ?><br />
        <?php _e('Simple example:', 'getlocations-lite'); ?><br />
        <?php echo '[getlocations_lite_map][getlocations_lite_marker][/getlocations_lite_map]'; ?><br />
        <?php _e('The above example will place the default marker at the center of the default map', 'getlocations-lite'); ?><br />
        <?php _e('Another example:', 'getlocations-lite'); ?><br />
        <?php echo '[getlocations_lite_map width="100%" mapcenter="54,-3.5" scale=0 layerscontrol=0][getlocations_lite_marker icon="small green" latlon="52.413205,-4.089521"]' . htmlentities('<h4>Aberystwyth Castle</h4>') . '[/getlocations_lite_marker][/getlocations_lite_map]'; ?><br />
        <?php _e('The above example will place a marker at the supplied lat/lon on the default map, when the icon is clicked a popup opens.', 'getlocations-lite'); ?><br />
        <?php _e('The following marker types are avalable:', 'getlocations-lite'); ?><br />
        <?php
          foreach ( $this->marker_types AS $code => $val ) {
            printf( __('Use <b>%1$s</b> for %2$s<br />', 'getlocations-lite'), $code, $val);
          }
          _e('marker_type "ticon" is the default', 'getlocations-lite');
        ?>
        <br /><br />
        <?php printf( __('<b>marker type</b>&nbsp;eg&nbsp;<i>%s</i>', 'getlocations-lite'), 'marker_type="ticon"'); ?><br />

        <?php _e('Getlocations Markers come in collections, so depending on which have been enabled, the following markers are available:', 'getlocations-lite'); ?><br />
        <?php
          $data = get_option('getlocations_lite_marker_data');
          foreach ( $data AS $k => $v ) {
            #echo 'Collection: <b>' . $k . '</b><br />';
            printf( __('Collection: <b>%s</b><br />', 'getlocations-lite'), $k);
            foreach ( $v AS $k2 => $v2 ) {
              printf( __('Marker name: %1$s, marker code: <b>%2$s</b><br />', 'getlocations-lite'), $v2['label'], $k2);
            }
          }
        ?><br />

        <b>icon</b>&nbsp;eg&nbsp;<i>icon="small green"</i>&nbsp;<?php _e('The Getlocations marker to be displayed', 'getlocations-lite'); ?><br />
        <b>latlon</b>&nbsp;eg&nbsp;<i>latlon="52.413205,-4.089521"</i>&nbsp;<?php _e('The latitude and longitude of the marker', 'getlocations-lite'); ?><br />
        <b>title</b>&nbsp;eg&nbsp;<i>title=""</i>&nbsp;<?php _e('The tooltip of the marker', 'getlocations-lite'); ?><br />
        <b>icon type</b>&nbsp;eg&nbsp;<i>icon_type="dashicon"</i>&nbsp;<?php _e('Should be awesome, dashicon or ionicon. Not used with Getlocations markers', 'getlocations-lite'); ?><br />
        <b>marker_color</b>&nbsp;eg&nbsp;<i>marker_color="blue"</i>&nbsp;<?php _e('The color of a leaflet marker', 'getlocations-lite'); ?><br />
        <?php
        echo __('Leaflet Marker colors:', 'getlocations-lite') . '<br />';
        foreach ( $this->marker_colors AS $code => $val ) {
          #echo "Use <b>$code</b> for $val<br />";
          printf( __( 'Use <b>%s</b> for %s<br />', 'getlocations-lite' ), $code, $val );
        }
        echo __('Blue is the default Leaflet Marker color', 'getlocations-lite') . '<br />';
        echo '<br />';
        ?>
        <b>icon_selected</b>&nbsp;eg&nbsp;<i>icon_selected="fas fa-address-book"</i><br />
        <?php printf( __( 'There are a great many icons, you can find them on the internet, see <a href="%s">here</a>.', 'getlocations-lite' ), 'https://fontawesome.com/cheatsheet'); ?><br />
        <b>icon_effect</b>&nbsp;eg&nbsp;<i>icon_effect="fa-spin"</i>&nbsp;<br />
        <?php
        echo __('Icon effects:', 'getlocations-lite') . '<br />';
        foreach ( $this->icon_effects AS $code => $val ) {
          if ( $code ) {
            printf( __( 'Use <b>%s</b> for %s<br />', 'getlocations-lite' ), $code, $val );
          }
        }
        echo '<br />';
        ?>

        <b>icon_size</b>&nbsp;eg&nbsp;<i>icon_size="fa-2x"</i>&nbsp;<br />
        <?php
        echo __('Icon sizes:', 'getlocations-lite') . '<br />';
        foreach ( $this->icon_sizes AS $code => $val ) {
          printf( __( 'Use <b>%s</b> for %s<br />', 'getlocations-lite' ), $code, $val );
        }
        echo '<br />';
        ?>

        <b>icon_color</b>&nbsp;eg&nbsp;<i>icon_color="DarkOrange"</i>&nbsp;<br />
        <?php
        echo __('Icon colors:', 'getlocations-lite') . '<br />';
        foreach ( $this->icon_colors AS $code => $val ) {
          printf( __( 'Use <b>%s</b> for %s<br />', 'getlocations-lite' ), $code, $val );
        }
        echo __('White is the default color', 'getlocations-lite') . '<br />';
        echo '<br />';
        ?>

      <?php _e('Leaflet plugins can be added to a map using shortcodes', 'getlocations-lite'); ?><br />
      <?php _e('eg: [getlocations_lite_map][getlocations_lite_plugins graticule_enable=1 graticule_position=topleft][/getlocations_lite_map]', 'getlocations-lite'); ?><br />
        <?php
          $gplugins = array();
          foreach ( get_option('getlocations_lite_plugins') AS $p => $v ) {
            if ( $v ) {
              $gplugins[] = preg_replace("/^leaflet_plugin_/", '', $p );
            }
          }
          $splugins = get_option('getlocations_lite_plugins_settings');
          if ( is_array($splugins) && count($splugins) > 0 ) {
            foreach ( $this->default_leaflet_plugin_settings AS $k => $settings ) {
              if ( in_array( $k, $gplugins ) ) {
                printf( __('<i>%s</i> has the following options:<br />', 'getlocations-lite'), $k );
                foreach ( $settings AS $k2 => $v2 ) {
                  $lookfor = $k .'_' . $k2;
                  if ( in_array( $lookfor, array_keys($splugins) ) ) {
                    $v3 = $splugins[$lookfor];
                  }
                  else {
                    $v3 = $v2;
                  }
                  echo '&nbsp;&nbsp;';
                  printf( __('Code: <b>%1$s</b> default value: %2$s<br />', 'getlocations-lite'), $lookfor, $v3 );
                }
              }
            }
          }
        ?>
        <br /><br /><br />
      </div>
    </div>
  </div>
</div>
