<?php
/**
 * @file    class-getlocations-lite-activator.php
 * @author  Bob Hutchinson
 * @package Getlocations_Lite
 * @since   1.0.0
 *
 * Fired during plugin activation
 */

class Getlocations_Lite_Activator {

  /**
   * Activate Getlocations_Lite.
   *
   *
   * @since    1.0.0
   */
  public static function activate() {
    global $wpdb;

    require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

    // Add the DB Version
    add_option( 'getlocations_lite_db_version', GETLOCATIONS_LITE_DB_VERSION);

    include( GETLOCATIONS_LITE_PLUGIN_DIR . 'admin/includes/common_vars.php' );
    $default_array = $default_settings;
    add_option( 'getlocations_lite_default_settings', $default_array );
    add_option( 'getlocations_lite_default_marker', $default_marker );
    add_option( 'getlocations_lite_providers', $default_providers );
    add_option( 'getlocations_lite_geocoders', array($default_leaflet_plugin_settings['geocoder']['service'] . '_enable' => 1) );

    include_once(GETLOCATIONS_LITE_PLUGIN_DIR . 'includes/class-getlocations-lite-share.php');
    $share = new Getlocations_Lite_Share();
    $markerdir = GETLOCATIONS_LITE_PLUGIN_DIR . 'public' . DIRECTORY_SEPARATOR . 'markers';
    $markerurl = GETLOCATIONS_LITE_PLUGIN_DIR_URL . 'public/markers';
    $data = $share->make_marker_data($markerdir, $markerurl, TRUE);

  }
}
